{% extends 'Default/index.html.twig' %}

{% if ente is not defined %}
  {% set ente = instance_service.getCurrentInstance() %}
{% endif %}

{% set currentStep = flow.steps[flow.getCurrentStepNumber() - 1] %}
{% set is_formio_step =  currentStep.formType == "App\\Form\\FormIO\\FormIORenderType" %}
{% set is_stamps_step =  currentStep.formType == "App\\Form\\Base\\StampsCollectionType" %}
{% set is_payment_step =  currentStep.formType == "App\\Form\\Base\\PaymentGatewayType" %}
{% set is_summary_step =  currentStep.formType == "App\\Form\\Base\\SummaryType" or flow.getCurrentStepNumber() == flow.getLastStepNumber() %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('compile') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('compile') }}
{% endblock %}

{% block main_content %}
  {% form_theme form 'form/ocsdc_form_style.html.twig' %}
  <section class="container {{ form.vars.id }}">
    <div class="row justify-content-center">
      <div class="col-12 col-lg-8 py-lg-2 cmp-heading">
        <h1>{{ pratica.servizio.name }}</h1>
        {{ include('Pratiche/parts/compilation_info.html.twig') }}
        <p>{{ 'required_fields_text' | trans }}</p>
        {% if user.isAnonymous() and pratica.servizio.isLoginSuggested %}
          <p>
            {{ 'login_callout_texts.generic.title' | trans }}
            <a
              href="{{ path('login', {'return-url': app.request.getSchemeAndHttpHost() ~ path('service_access', {'servizio': pratica.servizio.slug})}) }}"
              class="title-small-semi-bold t-primary text-decoration-none">{{ 'operatori.login' | trans }}</a>
          </p>
        {% endif %}
      </div>
      <div class="col-12 col-lg-2 py-lg-2 cmp-heading mt-3">
        <div class="dropdown d-inline">
          <button
            class="btn btn-dropdown dropdown-toggle text-decoration-underline d-inline-flex align-items-center"
            type="button" id="viewActions" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-more-items"></use>
            </svg>
            <small>{{ 'servizio.azioni' | trans }}</small>
          </button>
          <div class="dropdown-menu shadow-lg" aria-labelledby="viewActions">
            <div class="link-list-wrapper">
              <ul class="link-list" role="menu">
                <li role="none">
                  <a href="#" data-toggle="modal" data-target="#modalNote">
                    <svg class="icon icon-primary">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-pencil"></use>
                    </svg>
                    <span class="list-item note-text">{{ 'add_note' | trans }}</span>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12 mt-4 mb-4">
        {% include 'bundles/CraueFormFlowBundle/FormFlowCustom/stepList_content.html.twig' %}
      </div>
    </div>

    <div class="row {% if not is_formio_step %}justify-content-center{% endif %}">
      {# Navbar laterale #}
      {% if is_formio_step %}
        <div class="col-12 col-lg-3 d-lg-block mb-4 d-none">
          <div class="cmp-navscroll sticky-top" aria-labelledby="accordion-title-one">
            <nav class="navbar it-navscroll-wrapper navbar-expand-lg" aria-label="{{ 'servizio.info' | trans }}" data-navscroll="">
              <div class="navbar-custom" id="navbarNavProgress">
                <div class="menu-wrapper">
                  <div class="link-list-wrapper">
                    <div class="accordion">
                      <div class="accordion-item">
                            <span class="collapse-header" id="accordion-title-one">
                              <button class="accordion-button collapse-button pb-10 px-3" type="button"
                                      data-toggle="collapse" data-target="#collapse-one" aria-expanded="true"
                                      aria-controls="collapse-one" data-focus-mouse="false">
                                {{ 'servizio.info' | trans }}
                              </button>
                            </span>
                        <div class="progress">
                          <div class="progress-bar it-navscroll-progressbar" role="progressbar" aria-valuenow="0"
                               aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
                        </div>
                        <div id="collapse-one" class="accordion-collapse collapse show" role="region"
                             aria-labelledby="accordion-title-one">
                          <div class="accordion-body">
                            <ul class="link-list" data-element="page-index" id="navItems">
                            </ul>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </nav>
          </div>
        </div>
      {% endif %}

      <div class="col-12 col-lg-8 mt-2 mt-lg-0 {% if is_formio_step %}offset-lg-1{% endif %}">
        <div class="it-page-sections-container px-lg-4 col-12">
          {{ form_start(form, {'action': path('pratiche_compila', {'pratica': pratica.id }) } ) }}

          <div class="step-{{ flow.getCurrentStepNumber() }}">
            {{ form_errors(form) }}
            {% if form.vars.helper.descriptionText|length > 0 and not (pratica.statusName == 'STATUS_PAYMENT_PENDING' and form.vars.id == 'pratica_payment_gateway' and form.vars.value.paymentType != 'mypay') %}
              {{ form.vars.helper.descriptionText|raw }}
            {% endif %}


            {% if is_stamps_step %}
              {{ include('Pratiche/parts/compile/_stamps.html.twig') }}
            {% elseif is_payment_step %}
              {# Sezione pagamenti diveso da MyPay e Bollo #}
              {% if pratica.paymentType is not null and pratica.paymentType != 'bollo' and pratica.paymentType != 'mypay' %}
                {{ include('Pratiche/parts/_payment.twig') }}
              {% endif %}
            {% elseif is_summary_step %}
              <p>{{ 'steps.common.conferma.payment_help_text_top' | trans }}</p>
              {{ include('Pratiche/parts/pratica_summary.html.twig', {'pratica':form.vars.data, 'user': user}) }}
            {% endif %}

            {# Serve per il salvataggio dei dati in area personale (profile blocks) #}
            <input type="hidden" name="profile_blocks" id="profile_blocks">
            {{ form_rest(form) }}
          </div>

          {% if is_formio_step %}
            <div id="formio"
                 class="editable formio-front {% if pratica.servizio.builtIn %}built-in{% endif %}"
                 data-locale="{{ app.request.locale }}"
                 data-formserver_url="{{ formserver_public_url }}"
                 data-form_id="{{ pratica.servizio.formIoId }}"
                 data-form_validate="{{ path( 'formio_validate', {'servizio': pratica.servizio.slug}) }}"
                 data-save-draft-url="{{ path('pratiche_draft', {'pratica': pratica}) }}"
                 data-signature_check_ws_url="{{ signature_check_ws_url }}"
                 data-service-identifier="{{ pratica.servizio.identifier }}"
                 data-pdnd-configs="{{ pdnd_configs | json_encode }}"
                 data-application-id="{{ pratica.id }}"
            >
            </div>
          {% endif %}

          <div id="formio-custom-errors" class="alert alert-danger alert-dismissible" style="display: none" role="alert" auto-close="5000">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>

          {% if form.vars.id != 'pratica_payment_gateway' or (form.vars.id == 'pratica_payment_gateway' and form.vars.value.paymentType == 'bollo') and (pratica.statusName != 'STATUS_PAYMENT_PENDING' or pratica.servizio.isPaymentDeferred) %}
            <div class="mt-5">
              {{ include('bundles/CraueFormFlowBundle/FormFlowCustom/buttons.html.twig', {'currentStep': currentStep}) }}
            </div>
          {% endif %}
          {{ form_end(form) }}
        </div>

        {# Note compilazione per utente #}
        {{ include('Pratiche/parts/user_compilation_notes.html.twig') }}
      </div>
    </div>
  </section>

  {# Modal di conferma #}
  {{ include('Pratiche/parts/confirm_modal.html.twig') }}


  {{ include('Servizi/parts/_contacts.html.twig') }}

{% endblock %}

